<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Setup/Declaration/Schema/etc/schema.xsd">
    <table name="quote_address">
        <column xsi:type="varchar" name="care_of" nullable="true" length="255" comment="Care Of"/>
    </table>
    <table name="sales_order_address">
        <column xsi:type="varchar" name="care_of" nullable="true" length="255" comment="Care Of"/>
    </table>
    <table name="translation">
        <column xsi:type="boolean" name="is_frontend_label" nullable="true" default="0"/>
        <index referenceId="filoblu_refilo_translate_is_frontend_label_index" indexType="btree">
            <column name="is_frontend_label"/>
        </index>
    </table>
    <table name="filoblu_order_mapping">
        <column xsi:type="int" name="entity_id" unsigned="true" nullable="false" identity="true" comment="Entity ID"/>
        <column xsi:type="int" name="customer_id" unsigned="true" padding="10" nullable="false" comment="Customer ID"/>
        <column xsi:type="int" name="order_id" unsigned="true" padding="10" nullable="false" comment="Order ID"/>
        <column xsi:type="smallint" name="order_store_id" unsigned="true" nullable="false" comment="Order Store ID"/>
        <constraint xsi:type="primary" referenceId="PRIMARY">
            <column name="entity_id"/>
        </constraint>
        <constraint xsi:type="foreign" referenceId="FILOBLU_ORDER_MAPPING_CUSTOMER_ID_CUSTOMER_ENTITY_ENTITY_ID"
                    table="filoblu_order_mapping"
                    column="customer_id" referenceTable="customer_entity" referenceColumn="entity_id"
                    onDelete="CASCADE"/>
        <constraint xsi:type="foreign" referenceId="FILOBLU_ORDER_MAPPING_ORDER_ID_SALES_ORDER_ENTITY_ID"
                    table="filoblu_order_mapping"
                    column="order_id" referenceTable="sales_order" referenceColumn="entity_id"
                    onDelete="CASCADE"/>
        <constraint xsi:type="foreign" referenceId="FILOBLU_ORDER_MAPPING_ORDER_STORE_ID_STORE_STORE_ID"
                    table="filoblu_order_mapping"
                    column="order_store_id" referenceTable="store" referenceColumn="store_id"
                    onDelete="CASCADE"/>
        <constraint xsi:type="unique" referenceId="FILOBLU_ORDER_MAPPING_CUSTOMER_ID_ORDER_ID">
            <column name="customer_id"/>
            <column name="order_id"/>
        </constraint>
        <index referenceId="filoblu_order_mapping_customer_id_index" indexType="btree">
            <column name="customer_id"/>
        </index>
        <index referenceId="filoblu_order_mapping_order_id_index" indexType="btree">
            <column name="order_id"/>
        </index>
    </table>
    <table name="sales_order">
        <column xsi:type="boolean" name="is_in_store" nullable="true" default="0" comment="Is In Store Order"/>
    </table>
</schema>